VERSION = 0.8.2
INSTALL = /usr/bin/install -c

# Installation directories
prefix = ${DESTDIR}/usr
exec_prefix = ${prefix}
mandir = ${prefix}/man/man1
bindir = ${exec_prefix}/bin
etcdir = ${DESTDIR}/etc

all:

clean:

install:
	$(INSTALL) -d -m 755 $(bindir)
	$(INSTALL) -m 755 -o 0 cdgrab $(bindir)
	$(INSTALL) -m 755 -o 0 cddb-tool $(bindir)
	$(INSTALL) -d -m 755 $(mandir)
	$(INSTALL) -m 644 -o 0 cdgrab.1 $(mandir)
	$(INSTALL) -m 644 -o 0 cdgrab.conf $(etcdir)

tarball:
	@cd .. && tar czvf cdgrab_$(VERSION).orig.tar.gz \
		cdgrab-$(VERSION)/{COPYING,README,TODO,cdgrab,cdgrab.1,cdgrab.conf,changelog,cddb-tool}
